<?php
/*--------------------------------------------------------- 
 * File:configFactory.php
 * Author:Tomix
 * Description: 配置工廠類
 * Created:2009
 * -------------------------------------------------------
 * Modified history:2023/08/23
 * Copyright © 2023 蘋果世界股份有限公司 版權所有
 * -------------------------------------------------------
 */
require_once dirname(__FILE__)."/configuration.php";

class configFactory{
	// 配置類靜態實例
    private static ?Configuration $config = null;

    public static function createConfiguration(): Configuration {
        if (!isset(self::$config)) {
            self::$config = new Configuration(dirname(dirname(dirname(__FILE__))) . "/config.php");
        }
        return self::$config;
    }
}
?>